Page MenuHomePhabricator

Summary endpoint doesn't scrub parenetheticals at start of input
Closed, DeclinedPublic

Description

https://en.wikipedia.beta.wmflabs.org/wiki/Page_previews_test_() has the wikitext:

(this text should be invisible) No other text should appear before or after this sentence (this should be invisible too)

Summary obtained via:
https://en.wikipedia.beta.wmflabs.org/api/rest_v1/page/summary/Page_previews_test_()

Expected:
Summary should be

<p>No other text should appear before or after this sentence</p>

Actual:

<p>(this text should be invisible) No other text should appear before or after this sentence</p>

Event Timeline

Jdlrobson created this task.May 9 2018, 9:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
bearND added a subscriber: bearND.May 10 2018, 5:32 AM

Does this actually happen on real pages?

I don't know but probably not. That said I'd recommend investigating the issue in case it impacts other situations which are more common (and document it as expected behaviour in the test if it's too difficult to fix given the tests are effectively the spec for how this should work). I assume it's a minor issue with the regex we're using so should be easy to fix.

Vvjjkkii renamed this task from Summary endpoint doesn't scrub parenetheticals at start of input to p9caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from p9caaaaaaa to Summary endpoint doesn't scrub parenetheticals at start of input.Jul 1 2018, 2:43 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Jhernandez closed this task as Declined.Feb 20 2019, 4:56 PM
Jhernandez added a subscriber: Jhernandez.

Declining for now. We need real content issues if we are to tackle this.